Bug 1021702 - KIE Projects throws a warning when it contains Test classes in src/test/java
KIE Projects throws a warning when it contains Test classes in src/test/java
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER5
: 6.0.0
Assigned To: Mario Fusco
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 16:38 EDT by Mauricio Salatino
Modified: 2014-08-06 16:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauricio Salatino 2013-10-21 16:38:53 EDT
Description of problem:
a KIE Project cannot contain java classes inside src/test/java it throws a warning that stop the kbuilder to complete the building process. It is affecting the tooling for kie projects with JUnit tests in them.

I'm pushing a test in drools-compiler, inside KIEDefaultPackageTest called: testInTestPackage() that reproduce the issue. It is marked as @Ignore to avoid issues with the build

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Mauricio Salatino 2013-10-21 16:40:31 EDT
Here is the reproducer: http://github.com/droolsjbpm/drools/commit/7a0104655
Comment 3 Mario Fusco 2013-10-22 04:22:39 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/772974703
Comment 4 Tomas David 2013-12-11 10:08:36 EST
Verified on BRMS 6.0.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.